package MNP;

import API.Requete;

public class RequeteNP implements Requete {
    private final int id;
    private final String message;
    private final int etuSource;
    private final int type;
    private final int witchGroupe;
    private final String status;

    public RequeteNP(int id, String message, int etuSource, int type, int witchGroupe, String status) {
        this.id = id;
        this.message = message;
        this.etuSource = etuSource;
        this.type = type;
        this.witchGroupe = witchGroupe;
        this.status = status;
    }

    @Override
    public int getEtuId() {
        return this.etuSource;
    }

    @Override
    public String getMessage() {
        return this.message;
    }

    @Override
    public int getIdMessage() {
        return this.id;
    }

    @Override
    public int getType() {
        return this.type;
    }

    @Override
    public int getWitchGroupe() {
        return this.witchGroupe;
    }

    @Override
    public String getStatut() {
        return this.status;
    }
}
